-- SAMPLE 1 --
2 2 4
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABBBBBBBBBB
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBBAAAAAAAAAA
0 0 1 0.5
0 0 2 0.5
1 0 0 1
2 0 0 1
0 1 0 1
0 2 0 1
1 2 0 1
2 1 0 1
0 1 2 1.0
0 2 1 1.0
1 2 1 1.0
2 1 2 1.0
AB
BA
ABB
ABABABAB
-- SAMPLE 2 --
3 3 3
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAABBBBBBBBBBBBBBBCCCCC
BBBBBBBBBBBBBBBBBBBBBBBBBBBBBBCCCCCCCCCCCCCCCAAAAA
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCAAAAAAAAAAAAAAABBBBB
0 0 1 0.5
0 0 2 0.25
0 0 3 0.25
1 0 0 1
2 0 0 1
3 0 0 1
0 1 0 1
0 2 0 1
0 3 0 1
1 2 0 1
1 3 0 1
2 1 0 1
2 3 0 1
3 1 0 1
3 2 0 1
0 1 2 0.4
0 1 3 0.6
0 2 1 0.2
0 2 3 0.8
0 3 1 1
1 2 1 0.3
1 2 3 0.7
1 3 1 1
2 1 2 0.6
2 1 3 0.4
2 3 1 0.2
2 3 2 0.8
3 1 2 0.9
3 1 3 0.1
3 2 1 1
AAA
ABC
ACB
